<?php
   if (isset($state) && $state == 'submit') {
       editPraemie($praemie);
   } else { 
       $state = 'submit';
   }

   $myPraemie = new praemie($praemie);
   $name = htmlescape(utf8_decode($myPraemie->name));
   $status = htmlescape(utf8_decode($myPraemie->status));
   $beschreibung = htmlescape(utf8_decode($myPraemie->beschreibung));
   $punkte = $myPraemie->punkte;
   $spende = $myPraemie->spende;
   $zusaetze = $myPraemie->zusaetze;
   $feld1 = $myPraemie->feld1;
   $feld2 = $myPraemie->feld2;
   $feld3 = $myPraemie->feld3;
   $feld4 = $myPraemie->feld4;
   $anzahlprojahr = $myPraemie->anzahlprojahr;
   $geldpraemie = $myPraemie->geldpraemie;
   $familienpraemie = $myPraemie->familienpraemie;
   $showonwebsite = $myPraemie->showonwebsite;
   $bild = $myPraemie->bild;

   include("views/$module/edit.php"); 

function editPraemie($praemie) { 
    global $_FILES;
    global $name, $status, $zusaetze, $zusatztext,$zusatzhmnr,$zusatzgeldwert,$zusatzpkey,
           $zusatzartikelnr, $beschreibung, $punkte, $feld1, $feld2, $feld3, 
           $feld4, $anzahlprojahr, $geldpraemie, $familienpraemie, $spende, 
           $praemientyp,  $bild, $eintragen, $showonwebsite;
    global $module, $action, $webroot, $command;
    $myPraemie = new praemie($praemie);

    $myPraemie->id = $praemie;
    $myPraemie->name = $name;
    $myPraemie->status = $status;
    $myPraemie->beschreibung = $beschreibung;
    $myPraemie->punkte = $punkte;
    $myPraemie->spende = $spende;
    $myPraemie->praemientyp = $praemientyp;
    $myPraemie->feld1 = $feld1;
    $myPraemie->feld2 = $feld2;
    $myPraemie->feld3 = $feld3;
    $myPraemie->feld4 = $feld4;
    $myPraemie->showonwebsite = $showonwebsite;
    $myPraemie->anzahlprojahr = $anzahlprojahr;
    $myPraemie->geldpraemie = $geldpraemie;
    $myPraemie->familienpraemie = $familienpraemie;
    
    if (count($zusatztext)) {
        $myPraemie->zusaetze = array();
        for ($i=0;$i<count($zusatztext);$i++) {
            $anzeige = $zusatztext[$i];
            $artikelnr = $zusatzartikelnr[$i];
            $hmnr = $zusatzhmnr[$i];
            $geldwert = str_replace(',','.',$zusatzgeldwert[$i]);
            $pkey = $zusatzpkey[$i];
            if ($pkey!='') {
                $myArtikel = new praemienartikel($pkey);
                if ($anzeige != '' || $artikelnr != '' || $hmnr != '') {
                    /* Zusatz bereits vorhanden => update */
                    $myArtikel->anzeige = $anzeige;
                    $myArtikel->artikelnr = $artikelnr;
                    $myArtikel->hmnr = $hmnr;
                    $myArtikel->geldwert = $geldwert;
                    $myArtikel->update(); 
                    array_push($myPraemie->zusaetze,$myArtikel);
                } else {
                    $myArtikel->delete();
                }
            } else {
                /* Nein, neu */
                if ($artikelnr != '') {
                    $myArtikel = new praemienartikel();
                    $myArtikel->anzeige = $anzeige;
                    $myArtikel->artikelnr = $artikelnr;
                    $myArtikel->hmnr = $hmnr;
                    $myArtikel->geldwert = $geldwert;
                    $myArtikel->praemienid = $myPraemie->id;
                    $myArtikel->insert();
                    array_push($myPraemie->zusaetze,$myArtikel);
                }
            }
        }
    }

    if ($bild) {
        if ($bild != $myPraemie->bild && $_FILES['bildklein']['name'] && $_FILES['bildgross']['name'])
            $myPraemie->bild = $bild;
    }

    if ($_FILES['bildklein']['name'])
    {
        print "Kleines Bild gefunden: " . $_FILES['bildklein']['tmp_name']
            . "<br/>\n";
        move_uploaded_file($_FILES['bildklein']['tmp_name'], $webroot . '/bilder/' . $bild . '_k.jpg');
    } 

    if ($_FILES['bildgross']['name'])
    {
        move_uploaded_file($_FILES['bildgross']['tmp_name'], $webroot . '/bilder/' . $bild . '_g.jpg');
    }

    if ($praemie) {
        $myPraemie->updateData();
    }  else {
        $myPraemie->insert();
    }
    print "Die Pr&auml;mie wurde erfolgreich eingetragen.<br /><br />\n";
}

